org.apache.ivy.plugins.version

## Class ExactVersionMatcher

- java.lang.Object
- - org.apache.ivy.plugins.version.AbstractVersionMatcher
  - - org.apache.ivy.plugins.version.ExactVersionMatcher

All Implemented Interfaces:
  IvySettingsAware, VersionMatcher

    public class ExactVersionMatcher
    extends AbstractVersionMatcher

### Constructor Summary

Constructors
Constructor and Description
`ExactVersionMatcher()`

### Method Summary

Methods
`boolean` `accept(ModuleRevisionId askedMrid, ModuleRevisionId foundMrid)` Indicates if this version matcher considers that the module revision found matches the asked one.
`boolean` `isDynamic(ModuleRevisionId askedMrid)` Indicates if the given asked ModuleRevisionId should be considered as dynamic for the current VersionMatcher or not.

### Methods inherited from class org.apache.ivy.plugins.version.AbstractVersionMatcher

`accept, compare, getName, getSettings, needModuleDescriptor, setName, setSettings, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExactVersionMatcher

    public ExactVersionMatcher()

### Method Detail

#### isDynamic

    public boolean isDynamic(ModuleRevisionId askedMrid)

Description copied from interface: `VersionMatcher`
Indicates if the given asked ModuleRevisionId should be considered as dynamic for the current VersionMatcher or not.

Parameters:
  `askedMrid` - the dependency module revision id as asked by a module
Returns:
  true if this revision is considered as a dynamic one, false otherwise

#### accept

    public boolean accept(ModuleRevisionId askedMrid,
                 ModuleRevisionId foundMrid)

Description copied from interface: `VersionMatcher`
Indicates if this version matcher considers that the module revision found matches the asked one.

Returns: